# coding: utf-8

from __future__ import absolute_import
from datetime import date, datetime  # noqa: F401

from typing import List, Dict  # noqa: F401

from swagger_server.models.base_model_ import Model
from swagger_server import util


class InlineResponse2002(Model):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    def __init__(self, confirmation: str=None):  # noqa: E501
        """InlineResponse2002 - a model defined in Swagger

        :param confirmation: The confirmation of this InlineResponse2002.  # noqa: E501
        :type confirmation: str
        """
        self.swagger_types = {
            'confirmation': str
        }

        self.attribute_map = {
            'confirmation': 'confirmation'
        }
        self._confirmation = confirmation

    @classmethod
    def from_dict(cls, dikt) -> 'InlineResponse2002':
        """Returns the dict as a model

        :param dikt: A dict.
        :type: dict
        :return: The inline_response_200_2 of this InlineResponse2002.  # noqa: E501
        :rtype: InlineResponse2002
        """
        return util.deserialize_model(dikt, cls)

    @property
    def confirmation(self) -> str:
        """Gets the confirmation of this InlineResponse2002.


        :return: The confirmation of this InlineResponse2002.
        :rtype: str
        """
        return self._confirmation

    @confirmation.setter
    def confirmation(self, confirmation: str):
        """Sets the confirmation of this InlineResponse2002.


        :param confirmation: The confirmation of this InlineResponse2002.
        :type confirmation: str
        """

        self._confirmation = confirmation
